From 50e1d1216c9e252e549dcb4ee45664d964be0498 Mon Sep 17 00:00:00 2001
From: Marko Lindqvist <cazfi74@gmail.com>
Date: Fri, 2 May 2025 18:34:41 +0300
Subject: [PATCH 38/38] gui-gtk-3.22: Remove trailing spaces

See RM #1352

Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>
---
 client/gui-gtk-3.22/action_dialog.c | 38 ++++++++++++++---------------
 client/gui-gtk-3.22/chatline.c      |  8 +++---
 client/gui-gtk-3.22/choice_dialog.c | 14 +++++------
 client/gui-gtk-3.22/citydlg.c       | 30 +++++++++++------------
 client/gui-gtk-3.22/cityrep.c       | 22 ++++++++---------
 client/gui-gtk-3.22/cma_fe.c        |  2 +-
 client/gui-gtk-3.22/connectdlg.c    |  2 +-
 client/gui-gtk-3.22/dialogs.c       | 18 +++++++-------
 client/gui-gtk-3.22/diplodlg.c      |  6 ++---
 client/gui-gtk-3.22/editgui.c       |  6 ++---
 client/gui-gtk-3.22/editprop.c      | 24 +++++++++---------
 client/gui-gtk-3.22/gotodlg.c       |  6 ++---
 client/gui-gtk-3.22/gui_main.c      | 22 ++++++++---------
 client/gui-gtk-3.22/gui_stuff.c     | 36 +++++++++++++--------------
 client/gui-gtk-3.22/helpdlg.c       |  4 +--
 client/gui-gtk-3.22/inputdlg.c      |  4 +--
 client/gui-gtk-3.22/inputdlg.h      |  2 +-
 client/gui-gtk-3.22/inteldlg.c      |  4 +--
 client/gui-gtk-3.22/mapctrl.c       |  6 ++---
 client/gui-gtk-3.22/mapview.c       |  4 +--
 client/gui-gtk-3.22/menu.c          |  8 +++---
 client/gui-gtk-3.22/pages.c         | 20 +++++++--------
 client/gui-gtk-3.22/plrdlg.c        |  8 +++---
 client/gui-gtk-3.22/repodlgs.c      |  4 +--
 client/gui-gtk-3.22/sprite.c        |  4 +--
 client/gui-gtk-3.22/theme_dlg.c     |  2 +-
 client/gui-gtk-3.22/themes.c        |  6 ++---
 client/gui-gtk-3.22/unitselect.c    |  4 +--
 client/gui-gtk-3.22/voteinfo_bar.c  |  2 +-
 client/gui-gtk-3.22/wldlg.c         | 20 +++++++--------
 30 files changed, 168 insertions(+), 168 deletions(-)

diff --git a/client/gui-gtk-3.22/action_dialog.c b/client/gui-gtk-3.22/action_dialog.c
index 3cd0532cbc..f3124b4320 100644
--- a/client/gui-gtk-3.22/action_dialog.c
+++ b/client/gui-gtk-3.22/action_dialog.c
@@ -614,12 +614,12 @@ static void spy_advances_callback(GtkTreeSelection *select,
 
   if (gtk_tree_selection_get_selected(select, &model, &it)) {
     gtk_tree_model_get(model, &it, 1, &(args->target_tech_id), -1);
-    
+
     gtk_dialog_set_response_sensitive(GTK_DIALOG(spy_tech_shell),
       GTK_RESPONSE_ACCEPT, TRUE);
   } else {
     args->target_tech_id = 0;
-	  
+
     gtk_dialog_set_response_sensitive(GTK_DIALOG(spy_tech_shell),
       GTK_RESPONSE_ACCEPT, FALSE);
   }
@@ -631,7 +631,7 @@ static void spy_advances_callback(GtkTreeSelection *select,
 static void create_advances_list(struct player *pplayer,
 				 struct player *pvictim,
 				 struct action_data *args)
-{  
+{
   GtkWidget *sw, *label, *vbox, *view;
   GtkListStore *store;
   GtkCellRenderer *rend;
@@ -658,7 +658,7 @@ static void create_advances_list(struct player *pplayer,
                                  GTK_ORIENTATION_VERTICAL);
   gtk_grid_set_row_spacing(GTK_GRID(vbox), 6);
   gtk_container_add(GTK_CONTAINER(label), vbox);
-      
+
   store = gtk_list_store_new(2, G_TYPE_STRING, G_TYPE_INT);
 
   view = gtk_tree_view_new_with_model(GTK_TREE_MODEL(store));
@@ -680,7 +680,7 @@ static void create_advances_list(struct player *pplayer,
     "yalign", 0.5,
     NULL);
   gtk_container_add(GTK_CONTAINER(vbox), label);
-  
+
   sw = gtk_scrolled_window_new(NULL, NULL);
   gtk_scrolled_window_set_shadow_type(GTK_SCROLLED_WINDOW(sw),
 				      GTK_SHADOW_ETCHED_IN);
@@ -689,7 +689,7 @@ static void create_advances_list(struct player *pplayer,
   gtk_scrolled_window_set_policy(GTK_SCROLLED_WINDOW(sw),
     GTK_POLICY_NEVER, GTK_POLICY_ALWAYS);
   gtk_widget_set_size_request(sw, -1, 200);
-  
+
   gtk_container_add(GTK_CONTAINER(vbox), sw);
 
   /* Now populate the list */
@@ -736,14 +736,14 @@ static void create_advances_list(struct player *pplayer,
 
   gtk_dialog_set_response_sensitive(GTK_DIALOG(spy_tech_shell),
     GTK_RESPONSE_ACCEPT, FALSE);
-  
+
   gtk_widget_show_all(gtk_dialog_get_content_area(GTK_DIALOG(spy_tech_shell)));
 
   g_signal_connect(gtk_tree_view_get_selection(GTK_TREE_VIEW(view)), "changed",
                    G_CALLBACK(spy_advances_callback), args);
   g_signal_connect(spy_tech_shell, "response",
                    G_CALLBACK(spy_advances_response), args);
-  
+
   args->target_tech_id = 0;
 
   gtk_tree_view_focus(GTK_TREE_VIEW(view));
@@ -801,12 +801,12 @@ static void spy_improvements_callback(GtkTreeSelection *select, gpointer data)
 
   if (gtk_tree_selection_get_selected(select, &model, &it)) {
     gtk_tree_model_get(model, &it, 1, &(args->target_building_id), -1);
-    
+
     gtk_dialog_set_response_sensitive(GTK_DIALOG(spy_sabotage_shell),
       GTK_RESPONSE_ACCEPT, TRUE);
   } else {
     args->target_building_id = -2;
-	  
+
     gtk_dialog_set_response_sensitive(GTK_DIALOG(spy_sabotage_shell),
       GTK_RESPONSE_ACCEPT, FALSE);
   }
@@ -818,7 +818,7 @@ static void spy_improvements_callback(GtkTreeSelection *select, gpointer data)
 static void create_improvements_list(struct player *pplayer,
 				     struct city *pcity,
 				     struct action_data *args)
-{  
+{
   GtkWidget *sw, *label, *vbox, *view;
   GtkListStore *store;
   GtkCellRenderer *rend;
@@ -826,7 +826,7 @@ static void create_improvements_list(struct player *pplayer,
   GtkTreeIter it;
 
   struct unit *actor_unit = game_unit_by_number(args->actor_unit_id);
-  
+
   spy_sabotage_shell = gtk_dialog_new_with_buttons(_("Sabotage Improvements"),
                                                    NULL, 0,
                                                    _("_Cancel"), GTK_RESPONSE_CANCEL,
@@ -846,7 +846,7 @@ static void create_improvements_list(struct player *pplayer,
                                  GTK_ORIENTATION_VERTICAL);
   gtk_grid_set_row_spacing(GTK_GRID(vbox), 6);
   gtk_container_add(GTK_CONTAINER(label), vbox);
-      
+
   store = gtk_list_store_new(2, G_TYPE_STRING, G_TYPE_INT);
 
   view = gtk_tree_view_new_with_model(GTK_TREE_MODEL(store));
@@ -868,7 +868,7 @@ static void create_improvements_list(struct player *pplayer,
     "yalign", 0.5,
     NULL);
   gtk_container_add(GTK_CONTAINER(vbox), label);
-  
+
   sw = gtk_scrolled_window_new(NULL, NULL);
   gtk_scrolled_window_set_shadow_type(GTK_SCROLLED_WINDOW(sw),
 				      GTK_SHADOW_ETCHED_IN);
@@ -877,7 +877,7 @@ static void create_improvements_list(struct player *pplayer,
   gtk_scrolled_window_set_policy(GTK_SCROLLED_WINDOW(sw),
     GTK_POLICY_NEVER, GTK_POLICY_ALWAYS);
   gtk_scrolled_window_set_min_content_height(GTK_SCROLLED_WINDOW(sw), 200);
-  
+
   gtk_container_add(GTK_CONTAINER(vbox), sw);
 
   /* Now populate the list */
@@ -895,7 +895,7 @@ static void create_improvements_list(struct player *pplayer,
                          0, city_improvement_name_translation(pcity, pimprove),
                          1, improvement_number(pimprove),
                          -1);
-    }  
+    }
   } city_built_iterate_end;
 
   if (action_prob_possible(actor_unit->client.act_prob_cache[
@@ -914,7 +914,7 @@ static void create_improvements_list(struct player *pplayer,
 
   gtk_dialog_set_response_sensitive(GTK_DIALOG(spy_sabotage_shell),
     GTK_RESPONSE_ACCEPT, FALSE);
-  
+
   gtk_widget_show_all(gtk_dialog_get_content_area(GTK_DIALOG(spy_sabotage_shell)));
 
   g_signal_connect(gtk_tree_view_get_selection(GTK_TREE_VIEW(view)), "changed",
@@ -923,7 +923,7 @@ static void create_improvements_list(struct player *pplayer,
                    G_CALLBACK(spy_improvements_response), args);
 
   args->target_building_id = -2;
-	  
+
   gtk_tree_view_focus(GTK_TREE_VIEW(view));
 }
 
@@ -1058,7 +1058,7 @@ void popup_incite_dialog(struct unit *actor, struct city *pcity, int cost,
     setup_dialog(shell, toplevel);
   }
   gtk_window_present(GTK_WINDOW(shell));
-  
+
   g_signal_connect(shell, "response", G_CALLBACK(incite_response),
                    act_data(paction->id, actor->id,
                             pcity->id, 0, 0,
diff --git a/client/gui-gtk-3.22/chatline.c b/client/gui-gtk-3.22/chatline.c
index 94c34828d8..c8a0b69c40 100644
--- a/client/gui-gtk-3.22/chatline.c
+++ b/client/gui-gtk-3.22/chatline.c
@@ -142,7 +142,7 @@ static void inputline_return(GtkEntry *w, gpointer data)
   const char *theinput;
 
   theinput = gtk_entry_get_text(w);
-  
+
   if (*theinput) {
     if (client_state() == C_S_RUNNING
         && GUI_GTK_OPTION(allied_chat_only)
@@ -602,7 +602,7 @@ static gboolean event_after(GtkWidget *text_view, GdkEventButton *event)
     return FALSE;
   }
 
-  gtk_text_view_window_to_buffer_coords(GTK_TEXT_VIEW (text_view), 
+  gtk_text_view_window_to_buffer_coords(GTK_TEXT_VIEW (text_view),
                                         GTK_TEXT_WINDOW_WIDGET,
                                         event->x, event->y, &x, &y);
 
@@ -731,7 +731,7 @@ static gboolean motion_notify_event(GtkWidget *text_view,
 {
   gint x, y;
 
-  gtk_text_view_window_to_buffer_coords(GTK_TEXT_VIEW(text_view), 
+  gtk_text_view_window_to_buffer_coords(GTK_TEXT_VIEW(text_view),
                                         GTK_TEXT_WINDOW_WIDGET,
                                         event->x, event->y, &x, &y);
   set_cursor_if_appropriate(GTK_TEXT_VIEW(text_view), x, y);
@@ -851,7 +851,7 @@ void apply_text_tag(const struct text_tag *ptag, GtkTextBuffer *buf,
         break; /* Not a valid link type case. */
       }
 
-      tag = gtk_text_buffer_create_tag(buf, NULL, 
+      tag = gtk_text_buffer_create_tag(buf, NULL,
                                        "foreground-rgba", &pcolor->color,
                                        "underline", PANGO_UNDERLINE_SINGLE,
                                        NULL);
diff --git a/client/gui-gtk-3.22/choice_dialog.c b/client/gui-gtk-3.22/choice_dialog.c
index c7b8f82fbb..8383560f5e 100644
--- a/client/gui-gtk-3.22/choice_dialog.c
+++ b/client/gui-gtk-3.22/choice_dialog.c
@@ -128,14 +128,14 @@ GtkWidget *choice_dialog_start(GtkWindow *parent, const gchar *name,
   bbox = gtk_button_box_new(GTK_ORIENTATION_VERTICAL);
   gtk_box_set_spacing(GTK_BOX(bbox), 2);
   gtk_container_add(GTK_CONTAINER(vbox), bbox);
-  
+
   g_object_set_data(G_OBJECT(dshell), "bbox", bbox);
   g_object_set_data(G_OBJECT(dshell), "nbuttons", GINT_TO_POINTER(0));
   g_object_set_data(G_OBJECT(dshell), "hide", GINT_TO_POINTER(FALSE));
-  
+
   gtk_widget_show(vbox);
   gtk_widget_show(dlabel);
-  
+
   return dshell;
 }
 
@@ -194,11 +194,11 @@ void choice_dialog_add(GtkWidget *dshell, const gchar *label,
 void choice_dialog_end(GtkWidget *dshell)
 {
   GtkWidget *bbox;
-  
+
   bbox = g_object_get_data(G_OBJECT(dshell), "bbox");
-  
+
   gtk_widget_show_all(bbox);
-  gtk_widget_show(dshell);  
+  gtk_widget_show(dshell);
 }
 
 /*******************************************************************//**
@@ -220,7 +220,7 @@ GtkWidget *popup_choice_dialog(GtkWindow *parent, const gchar *dialogname,
   gchar *name;
 
   dshell = choice_dialog_start(parent, dialogname, text);
-  
+
   va_start(args, text);
 
   while ((name = va_arg(args, gchar *))) {
diff --git a/client/gui-gtk-3.22/citydlg.c b/client/gui-gtk-3.22/citydlg.c
index 4bb5010422..6cb8e87f0d 100644
--- a/client/gui-gtk-3.22/citydlg.c
+++ b/client/gui-gtk-3.22/citydlg.c
@@ -51,7 +51,7 @@
 #include "tilespec.h"
 
 /* client/agents */
-#include "cma_fec.h" 
+#include "cma_fec.h"
 
 /* client/gui-gtk-3.22 */
 #include "choice_dialog.h"
@@ -1267,7 +1267,7 @@ static void create_and_append_buildings_page(struct city_dialog *pdialog)
 }
 
 /**********************************************************************//**
-                    **** Production Page **** 
+                    **** Production Page ****
 **************************************************************************/
 static void create_and_append_worklist_page(struct city_dialog *pdialog)
 {
@@ -1495,7 +1495,7 @@ static void create_and_append_cma_page(struct city_dialog *pdialog)
 }
 
 /**********************************************************************//**
-                    **** Misc. Settings Page **** 
+                    **** Misc. Settings Page ****
 **************************************************************************/
 static void create_and_append_settings_page(struct city_dialog *pdialog)
 {
@@ -1533,9 +1533,9 @@ static void create_and_append_settings_page(struct city_dialog *pdialog)
   page = gtk_grid_new();
   gtk_grid_set_column_spacing(GTK_GRID(page), 18);
   gtk_container_set_border_width(GTK_CONTAINER(page), 8);
-  
+
   size = gtk_size_group_new(GTK_SIZE_GROUP_BOTH);
-  
+
   label = gtk_label_new_with_mnemonic(tab_title);
 
   gtk_notebook_append_page(GTK_NOTEBOOK(pdialog->notebook), page, label);
@@ -1575,7 +1575,7 @@ static void create_and_append_settings_page(struct city_dialog *pdialog)
 
   intl_slist(ARRAY_SIZE(misc_whichtab_label), misc_whichtab_label,
              &misc_whichtab_label_done);
-  
+
   group = NULL;
   for (i = 0; i < ARRAY_SIZE(misc_whichtab_label); i++) {
     button = gtk_radio_button_new_with_mnemonic(group, misc_whichtab_label[i]);
@@ -2145,7 +2145,7 @@ static void city_dialog_update_building(struct city_dialog *pdialog)
     gtk_list_store_clear(pdialog->overview.change_production_store);
 
     targets_used
-      = collect_eventually_buildable_targets(targets, pdialog->pcity, FALSE);  
+      = collect_eventually_buildable_targets(targets, pdialog->pcity, FALSE);
     name_and_sort_items(targets, targets_used, items, FALSE, pcity);
 
     for (item = 0; item < targets_used; item++) {
@@ -2205,11 +2205,11 @@ static void city_dialog_update_improvement_list(struct city_dialog *pdialog)
   model =
     gtk_tree_view_get_model(GTK_TREE_VIEW(pdialog->overview.improvement_list));
   store = GTK_LIST_STORE(model);
-  
+
   targets_used = collect_already_built_targets(targets, pdialog->pcity);
   name_and_sort_items(targets, targets_used, items, FALSE, pdialog->pcity);
 
-  gtk_list_store_clear(store);  
+  gtk_list_store_clear(store);
 
   for (item = 0; item < targets_used; item++) {
     GdkPixbuf *pix;
@@ -2408,7 +2408,7 @@ static void city_dialog_update_present_units(struct city_dialog *pdialog)
   i = 0;
   unit_list_iterate(units, punit) {
     struct unit_node *pnode;
-    
+
     pnode = unit_node_vector_get(nodes, i);
     if (pnode) {
       GtkWidget *cmd, *pix;
@@ -2561,7 +2561,7 @@ static gboolean supported_unit_callback(GtkWidget *w, GdkEventButton *ev,
       G_CALLBACK(unit_center_callback),
       GINT_TO_POINTER(punit->id));
     gtk_menu_shell_append(GTK_MENU_SHELL(menu), item);
-    
+
     item = gtk_menu_item_new_with_mnemonic(_("_Activate unit"));
     g_signal_connect(item, "activate",
       G_CALLBACK(unit_activate_callback),
@@ -3259,7 +3259,7 @@ static void sell_callback(struct impr_type *pimprove, gpointer data)
   struct city_dialog *pdialog = (struct city_dialog *) data;
   pdialog->sell_id = improvement_number(pimprove);
   int price;
-  
+
   if (!can_client_issue_orders()) {
     return;
   }
@@ -3279,13 +3279,13 @@ static void sell_callback(struct impr_type *pimprove, gpointer data)
     city_improvement_name_translation(pdialog->pcity, pimprove), price);
   setup_dialog(shl, pdialog->shell);
   pdialog->sell_shell = shl;
-  
+
   gtk_window_set_title(GTK_WINDOW(shl), _("Sell It!"));
   gtk_window_set_position(GTK_WINDOW(shl), GTK_WIN_POS_CENTER_ON_PARENT);
 
   g_signal_connect(shl, "response",
 		   G_CALLBACK(sell_callback_response), pdialog);
-  
+
   gtk_window_present(GTK_WINDOW(shl));
 }
 
@@ -3300,7 +3300,7 @@ static void sell_callback_response(GtkWidget *w, gint response, gpointer data)
     city_sell_improvement(pdialog->pcity, pdialog->sell_id);
   }
   gtk_widget_destroy(w);
-  
+
   pdialog->sell_shell = NULL;
 }
 
diff --git a/client/gui-gtk-3.22/cityrep.c b/client/gui-gtk-3.22/cityrep.c
index a33588ff44..4cf74b76c4 100644
--- a/client/gui-gtk-3.22/cityrep.c
+++ b/client/gui-gtk-3.22/cityrep.c
@@ -293,7 +293,7 @@ void city_report_dialog_popup(bool raise)
 {
   if (!city_dialog_shell) {
     city_dialog_shell_is_modal = FALSE;
-    
+
     create_city_report_dialog(FALSE);
 
     select_menu_cached = FALSE;
@@ -322,8 +322,8 @@ void city_report_dialog_popdown(void)
 static void append_impr_or_unit_to_menu_item(GtkMenuItem *parent_item,
                                              bool append_units,
                                              bool append_wonders,
-                                             enum city_operation_type 
-                                             city_operation, 
+                                             enum city_operation_type
+                                             city_operation,
                                              TestCityFunc test_func,
                                              GCallback callback,
                                              int size)
@@ -440,11 +440,11 @@ static void append_impr_or_unit_to_menu_item(GtkMenuItem *parent_item,
     g_signal_connect(menu_item, "activate", callback,
 		     GINT_TO_POINTER(cid_encode(target)));
   }
-  
+
   for (i = 0; i < 3; i++) {
     g_object_unref(group[i]);
   }
-  
+
   gtk_widget_show_all(menu);
 
   gtk_widget_set_sensitive(GTK_WIDGET(parent_item), (targets_used > 0));
@@ -548,7 +548,7 @@ static void worklist_next_to_last_impr_or_unit_iterate(GtkTreeModel *model,
 static void sell_impr_iterate(GtkTreeModel *model, GtkTreePath *path,
                               GtkTreeIter *iter, gpointer data)
 {
-  struct sell_data *sd = (struct sell_data *) data; 
+  struct sell_data *sd = (struct sell_data *) data;
   struct city *pcity = city_model_get(model, iter);
 
   if (NULL != pcity
@@ -569,10 +569,10 @@ static void select_impr_or_unit_callback(GtkWidget *wdg, gpointer data)
   struct universal target = cid_decode(GPOINTER_TO_INT(data));
   GObject *parent = G_OBJECT(gtk_widget_get_parent(wdg));
   TestCityFunc test_func = g_object_get_data(parent, "freeciv_test_func");
-  enum city_operation_type city_operation = 
-    GPOINTER_TO_INT(g_object_get_data(parent, "freeciv_city_operation"));
+  enum city_operation_type city_operation
+    = GPOINTER_TO_INT(g_object_get_data(parent, "freeciv_city_operation"));
 
-  /* if this is not a city operation: */
+  /* If this is not a city operation: */
   if (city_operation == CO_NONE) {
     GtkTreeModel *model = GTK_TREE_MODEL(city_model);
     ITree it;
@@ -1049,7 +1049,7 @@ static GtkWidget *create_city_report_menubar(void)
 
   menubar = gtk_aux_menu_bar_new();
   gtk_container_add(GTK_CONTAINER(vbox), menubar);
-  
+
   item = gtk_menu_item_new_with_mnemonic(_("_Production"));
   city_production_command = item;
   gtk_menu_shell_append(GTK_MENU_SHELL(menubar), item);
@@ -1872,7 +1872,7 @@ static void create_select_menu(GtkWidget *item)
   item = gtk_separator_menu_item_new();
   gtk_menu_shell_append(GTK_MENU_SHELL(menu), item);
 
-  
+
   select_units_item =
 	gtk_menu_item_new_with_label(_("Available Units"));
   gtk_menu_shell_append(GTK_MENU_SHELL(menu), select_units_item);
diff --git a/client/gui-gtk-3.22/cma_fe.c b/client/gui-gtk-3.22/cma_fe.c
index 12c7f4045a..f64a41736c 100644
--- a/client/gui-gtk-3.22/cma_fe.c
+++ b/client/gui-gtk-3.22/cma_fe.c
@@ -695,7 +695,7 @@ static void cma_preset_remove_response(GtkWidget *w, gint response,
     city_report_dialog_update();
   }
   gtk_widget_destroy(w);
-  
+
   pdialog->preset_remove_shell = NULL;
 }
 
diff --git a/client/gui-gtk-3.22/connectdlg.c b/client/gui-gtk-3.22/connectdlg.c
index 826904112e..ccaee629a6 100644
--- a/client/gui-gtk-3.22/connectdlg.c
+++ b/client/gui-gtk-3.22/connectdlg.c
@@ -49,7 +49,7 @@
 /**********************************************************************//**
   Close and destroy the dialog.
 **************************************************************************/
-void close_connection_dialog(void) 
+void close_connection_dialog(void)
 {
 }
 
diff --git a/client/gui-gtk-3.22/dialogs.c b/client/gui-gtk-3.22/dialogs.c
index aef44eb3cf..504b5646ba 100644
--- a/client/gui-gtk-3.22/dialogs.c
+++ b/client/gui-gtk-3.22/dialogs.c
@@ -119,7 +119,7 @@ void popup_notify_dialog(const char *caption, const char *headline,
   gtk_grid_set_row_spacing(GTK_GRID(vbox), 2);
   gtk_container_add(GTK_CONTAINER(shell->vbox), vbox);
 
-  headline_label = gtk_label_new(headline);   
+  headline_label = gtk_label_new(headline);
   gtk_container_add(GTK_CONTAINER(vbox), headline_label);
   gtk_widget_set_name(headline_label, "notify_label");
 
@@ -239,7 +239,7 @@ void popup_notify_goto_dialog(const char *headline, const char *lines,
 void popup_connect_msg(const char *headline, const char *message)
 {
   GtkWidget *shell, *label;
-  
+
   shell = gtk_dialog_new();
   gtk_window_set_title(GTK_WINDOW(shell), headline);
   setup_dialog(shell, toplevel);
@@ -659,7 +659,7 @@ static GtkWidget* create_list_of_nations_in_group(struct nation_group* group,
       gtk_scrolled_window_set_policy(GTK_SCROLLED_WINDOW(sw),
           GTK_POLICY_NEVER, GTK_POLICY_ALWAYS);
       gtk_container_add(GTK_CONTAINER(sw), list);
-     
+
       render = gtk_cell_renderer_pixbuf_new();
       column = gtk_tree_view_column_new_with_attributes("Flag", render,
           "pixbuf", 2, NULL);
@@ -697,9 +697,9 @@ static void create_nation_selection_lists(void)
 {
   GtkWidget *nation_list;
   GtkWidget *group_name_label;
-  
+
   int i;
-  
+
   for (i = 0; i < nation_group_count(); i++) {
     struct nation_group* group = (nation_group_by_number(i));
     if (is_nation_group_hidden(group)) {
@@ -713,7 +713,7 @@ static void create_nation_selection_lists(void)
                                group_name_label);
     }
   }
-  
+
   nation_list = create_list_of_nations_in_group(NULL, nation_group_count());
   /* Even this list can be empty if there are no pickable nations (due to
    * a combination of start position and nationset restrictions). */
@@ -845,7 +845,7 @@ static void create_races_dialog(struct player *pplayer)
   GtkWidget *text;
   GtkWidget *notebook;
   GtkWidget *sw;
-  GtkWidget *list;  
+  GtkWidget *list;
   GtkListStore *store;
   GtkCellRenderer *render;
   GtkTreeViewColumn *column;
@@ -1006,7 +1006,7 @@ static void create_races_dialog(struct player *pplayer)
     }
 
     races_notebook = gtk_notebook_new();
-    gtk_notebook_set_tab_pos(GTK_NOTEBOOK(races_notebook), GTK_POS_LEFT);  
+    gtk_notebook_set_tab_pos(GTK_NOTEBOOK(races_notebook), GTK_POS_LEFT);
     gtk_grid_attach(GTK_GRID(nation_selection_list), races_notebook,
                     0, 2, 2, 1);
 
@@ -1057,7 +1057,7 @@ static void create_races_dialog(struct player *pplayer)
   gtk_grid_set_row_spacing(GTK_GRID(table), 2);
   gtk_notebook_append_page(GTK_NOTEBOOK(notebook), table, label);
 
-  /* Leader. */ 
+  /* Leader. */
   {
     GtkListStore *model = gtk_list_store_new(1, G_TYPE_STRING);
 
diff --git a/client/gui-gtk-3.22/diplodlg.c b/client/gui-gtk-3.22/diplodlg.c
index 2ab470c1c0..115ae4d89c 100644
--- a/client/gui-gtk-3.22/diplodlg.c
+++ b/client/gui-gtk-3.22/diplodlg.c
@@ -200,7 +200,7 @@ void gui_recv_remove_clause(struct treaty *ptreaty, struct player *they)
 }
 
 /************************************************************************//**
-  Popup the dialog 10% inside the main-window 
+  Popup the dialog 10% inside the main-window
 ****************************************************************************/
 static void popup_diplomacy_dialog(struct treaty *ptreaty, struct player *they,
                                    struct player *initiator)
@@ -521,7 +521,7 @@ static void row_callback(GtkTreeView *view, GtkTreePath *path,
 
   index = gtk_tree_path_get_indices(path);
 
-  i = 0; 
+  i = 0;
   clause_list_iterate(pdialog->treaty->clauses, pclause) {
     if (i == index[0]) {
       dsend_packet_diplomacy_remove_clause_req(&client.conn,
@@ -1243,7 +1243,7 @@ static void diplo_dialog_returnkey(GtkWidget *w, gpointer data)
   struct player *pgiver =
       (struct player *) g_object_get_data(G_OBJECT(w), "plr");
   int amount = gtk_spin_button_get_value_as_int(GTK_SPIN_BUTTON(w));
-  
+
   if (amount >= 0 && amount <= pgiver->economic.gold) {
     dsend_packet_diplomacy_create_clause_req(&client.conn,
                                              player_number(pdialog->treaty->plr1),
diff --git a/client/gui-gtk-3.22/editgui.c b/client/gui-gtk-3.22/editgui.c
index 75ed1ac454..261eb7c4b5 100644
--- a/client/gui-gtk-3.22/editgui.c
+++ b/client/gui-gtk-3.22/editgui.c
@@ -524,7 +524,7 @@ static struct editbar *editbar_create(void)
   GtkCellRenderer *cell;
   GdkPixbuf *pixbuf;
   const struct editor_sprites *sprites;
-  
+
   eb = fc_calloc(1, sizeof(struct editbar));
 
   hbox = gtk_grid_new();
@@ -1109,7 +1109,7 @@ static void editinfobox_spin_button_value_changed(GtkSpinButton *spinbutton,
   struct editinfobox *ei;
   int which, value;
   enum editor_tool_type ett;
-  
+
   ei = editgui_get_editinfobox();
 
   if (!ei) {
@@ -1272,7 +1272,7 @@ static struct editinfobox *editinfobox_create(void)
   ei->size_spin_button = spin;
   label = gtk_label_new(_("Size"));
   gtk_container_add(GTK_CONTAINER(hbox), label);
-  
+
   hbox = gtk_grid_new();
   gtk_grid_set_column_spacing(GTK_GRID(hbox), 8);
   gtk_container_add(GTK_CONTAINER(vbox), hbox);
diff --git a/client/gui-gtk-3.22/editprop.c b/client/gui-gtk-3.22/editprop.c
index 3452aa12da..0cdf8092f9 100644
--- a/client/gui-gtk-3.22/editprop.c
+++ b/client/gui-gtk-3.22/editprop.c
@@ -1237,7 +1237,7 @@ static bool propval_equal(struct propval *pva,
     return nation_hashes_are_equal(pva->data.v_nation_hash,
                                    pvb->data.v_nation_hash);
   case VALTYPE_GOV:
-    return pva->data.v_gov == pvb->data.v_gov; 
+    return pva->data.v_gov == pvb->data.v_gov;
   case VALTYPE_TILE_VISION_DATA:
     if (!BV_ARE_EQUAL(pva->data.v_tile_vision->tile_known,
                       pvb->data.v_tile_vision->tile_known)) {
@@ -1307,7 +1307,7 @@ static void propstate_destroy(struct propstate *ps)
 /************************************************************************//**
   Replace the stored property value with a new one. The old value will
   be freed if needed.
-  
+
   NB: Does NOT make a copy of 'pv'.
 ****************************************************************************/
 static void propstate_set_value(struct propstate *ps,
@@ -2911,7 +2911,7 @@ static void objprop_widget_entry_changed(GtkEntry *entry, gpointer userdata)
   pp = objprop_get_property_page(op);
   value.data.v_const_string = gtk_entry_get_text(entry);
 
-  property_page_change_value(pp, op, &value);  
+  property_page_change_value(pp, op, &value);
 }
 
 /************************************************************************//**
@@ -2928,7 +2928,7 @@ static void objprop_widget_spin_button_changed(GtkSpinButton *spin,
   pp = objprop_get_property_page(op);
   value.data.v_int = gtk_spin_button_get_value_as_int(spin);
 
-  property_page_change_value(pp, op, &value);  
+  property_page_change_value(pp, op, &value);
 }
 
 /************************************************************************//**
@@ -3126,7 +3126,7 @@ static void objprop_setup_widget(struct objprop *op)
   according to the value of the bound object. If a stored modified value
   exists, then check it against the object's current value and remove it
   if they are equal.
-  
+
   If 'ob' is NULL, then clear the widget.
 ****************************************************************************/
 static void objprop_refresh_widget(struct objprop *op,
@@ -3160,7 +3160,7 @@ static void objprop_refresh_widget(struct objprop *op,
 
   if (pv && modified) {
     struct propval *pv_mod;
-   
+
     pv_mod = objbind_get_modified_value(ob, op);
     if (pv_mod) {
       if (propval_equal(pv, pv_mod)) {
@@ -3594,7 +3594,7 @@ static struct extviewer *extviewer_new(struct objprop *op)
   gtk_container_add(GTK_CONTAINER(hbox), button);
   ev->panel_button = button;
 
-  
+
   /* Create the data store. */
 
   switch (propid) {
@@ -4149,7 +4149,7 @@ static void extviewer_panel_button_clicked(GtkButton *button,
   struct extviewer *ev;
   struct property_page *pp;
   struct objprop *op;
-  
+
   ev = userdata;
   if (!ev) {
     return;
@@ -4810,7 +4810,7 @@ property_page_new(enum editor_object_type objtype,
   num_columns++;
   gtype_array = fc_malloc(num_columns * sizeof(GType));
   gtype_array[0] = G_TYPE_POINTER;
-    
+
   property_page_objprop_iterate(pp, op) {
     if (objprop_show_in_listview(op)) {
       gtype_array[col_id] = objprop_get_gtype(op);
@@ -5005,7 +5005,7 @@ property_page_new(enum editor_object_type objtype,
   gtk_grid_set_row_spacing(GTK_GRID(vbox2), 4);
   gtk_container_set_border_width(GTK_CONTAINER(vbox2), 4);
   gtk_container_add(GTK_CONTAINER(scrollwin), vbox2);
-  
+
   property_page_objprop_iterate(pp, op) {
     if (!objprop_has_widget(op)) {
       continue;
@@ -5031,7 +5031,7 @@ property_page_new(enum editor_object_type objtype,
   gtk_container_add(GTK_CONTAINER(hbox2), label);
 
   entry = gtk_entry_new();
-  gtk_widget_set_tooltip_text(entry, 
+  gtk_widget_set_tooltip_text(entry,
       _("Enter a filter string to limit which properties are shown. "
         "The filter is one or more text patterns separated by | "
         "(\"or\") or & (\"and\"). The symbol & has higher precedence "
@@ -5397,7 +5397,7 @@ static void property_page_fill_widgets(struct property_page *pp)
     GtkTreeRowReference *rr;
     GtkTreeModel *model;
     GtkTreePath *path;
-    
+
     model = GTK_TREE_MODEL(pp->object_store);
 
     property_page_objbind_iterate(pp, ob) {
diff --git a/client/gui-gtk-3.22/gotodlg.c b/client/gui-gtk-3.22/gotodlg.c
index c40430229f..90b06b7355 100644
--- a/client/gui-gtk-3.22/gotodlg.c
+++ b/client/gui-gtk-3.22/gotodlg.c
@@ -380,7 +380,7 @@ static void update_source_label(void)
 
     astr_init(&strs[i]);
     if (air_text != NULL) {
-      astr_add(&strs[i], 
+      astr_add(&strs[i],
                /* TRANS: goto/airlift dialog. "Paris (airlift: 2/4)".
                 * A set of these appear in an "and"-separated list. */
                _("%s (airlift: %s)"),
@@ -409,7 +409,7 @@ static void update_source_label(void)
   /* Finally, update the label. */
   {
     struct astring label = ASTRING_INIT, list = ASTRING_INIT;
-    astr_set(&label, 
+    astr_set(&label,
              /* TRANS: goto/airlift dialog. Current location of units; %s is an
               * "and"-separated list of cities and associated info */
              _("Currently in: %s"),
@@ -432,7 +432,7 @@ static void update_source_label(void)
 static void update_goto_dialog(GtkToggleButton *button)
 {
   bool nonempty = FALSE;
-  
+
   if (!client_has_player()) {
     /* Case global observer. */
     return;
diff --git a/client/gui-gtk-3.22/gui_main.c b/client/gui-gtk-3.22/gui_main.c
index 23ae581dc8..0423fda020 100644
--- a/client/gui-gtk-3.22/gui_main.c
+++ b/client/gui-gtk-3.22/gui_main.c
@@ -173,7 +173,7 @@ static GtkWidget *more_arrow_pixmap_button;
 static GtkWidget *more_arrow_pixmap_container;
 
 static int unit_id_top;
-static int unit_ids[MAX_NUM_UNITS_BELOW];  /* ids of the units icons in 
+static int unit_ids[MAX_NUM_UNITS_BELOW];  /* ids of the units icons in
                                             * information display: (or 0) */
 GtkTextView *main_message_area;
 GtkTextBuffer *message_buffer = NULL;
@@ -261,7 +261,7 @@ static gboolean timer_callback(gpointer data)
 
 /**********************************************************************//**
   Print extra usage information, including one line help on each option,
-  to stderr. 
+  to stderr.
 **************************************************************************/
 static void print_usage(void)
 {
@@ -318,7 +318,7 @@ static gboolean toplevel_focus(GtkWidget *w, GtkDirectionType arg)
   switch (arg) {
     case GTK_DIR_TAB_FORWARD:
     case GTK_DIR_TAB_BACKWARD:
-      
+
       if (!gtk_widget_get_can_focus(w)) {
 	return FALSE;
       }
@@ -553,9 +553,9 @@ static gboolean key_press_map_canvas(GtkWidget *w, GdkEventKey *ev,
     return TRUE;
 
   case GDK_KEY_KP_Begin:
-  case GDK_KEY_KP_5: 
+  case GDK_KEY_KP_5:
   case GDK_KEY_5:
-    key_recall_previous_focus_unit(); 
+    key_recall_previous_focus_unit();
     return TRUE;
 
   case GDK_KEY_Escape:
@@ -925,7 +925,7 @@ static void populate_unit_image_table(void)
   gtk_container_add(GTK_CONTAINER(unit_image_button), unit_image);
   gtk_grid_attach(GTK_GRID(table), unit_image_button, 0, 0, 1, 1);
   g_signal_connect(unit_image_button, "button_press_event",
-                   G_CALLBACK(select_unit_image_callback), 
+                   G_CALLBACK(select_unit_image_callback),
                    GINT_TO_POINTER(-1));
 
   if (!GUI_GTK_OPTION(small_display_layout)) {
@@ -1253,9 +1253,9 @@ static void setup_widgets(void)
 				        |GDK_POINTER_MOTION_MASK);
   gtk_container_add(GTK_CONTAINER(avbox), overview_scrolled_window);
 
-  gtk_container_add(GTK_CONTAINER(overview_scrolled_window), 
+  gtk_container_add(GTK_CONTAINER(overview_scrolled_window),
                     overview_canvas);
- 
+
   g_signal_connect(overview_canvas, "draw",
         	   G_CALLBACK(overview_canvas_draw), NULL);
 
@@ -1379,7 +1379,7 @@ static void setup_widgets(void)
       break;
     case 2:
       w = flake_label;
-      flake_ebox = ebox; 
+      flake_ebox = ebox;
       break;
     default:
     case 3:
@@ -2361,7 +2361,7 @@ void popup_quit_dialog(void)
 
     gtk_window_set_position(GTK_WINDOW(dialog), GTK_WIN_POS_MOUSE);
 
-    g_signal_connect(dialog, "response", 
+    g_signal_connect(dialog, "response",
 	G_CALLBACK(quit_dialog_response), NULL);
     g_signal_connect(dialog, "destroy",
 	G_CALLBACK(gtk_widget_destroyed), &dialog);
@@ -2627,7 +2627,7 @@ static void adjust_default_options(void)
 
   if (scr_height > 0) {
     /* Adjust these options only if we do know the screen height. */
-  
+
     if (scr_height <= 480) {
       /* Freeciv is practically unusable outside fullscreen mode in so
        * small display */
diff --git a/client/gui-gtk-3.22/gui_stuff.c b/client/gui-gtk-3.22/gui_stuff.c
index 788e95cf95..9673edf29b 100644
--- a/client/gui-gtk-3.22/gui_stuff.c
+++ b/client/gui-gtk-3.22/gui_stuff.c
@@ -185,7 +185,7 @@ void tstore_append(GtkTreeStore *store, ITree *it, ITree *parent)
 }
 
 /**********************************************************************//**
-  Return whether current itree item is selected 
+  Return whether current itree item is selected
 **************************************************************************/
 gboolean itree_is_selected(GtkTreeSelection *selection, ITree *it)
 {
@@ -344,7 +344,7 @@ static void gui_dialog_destroy_handler(GtkWidget *w, struct gui_dialog *dlg)
   }
 
   dialog_list = g_list_remove(dialog_list, dlg);
-  
+
   /* Raise the return dialog set by gui_dialog_set_return_dialog() */
   if (dlg->return_dialog_id != -1) {
     GList *it;
@@ -358,11 +358,11 @@ static void gui_dialog_destroy_handler(GtkWidget *w, struct gui_dialog *dlg)
       }
     }
   }
-  
+
   if (dlg->title) {
     free(dlg->title);
   }
-  
+
   free(dlg);
 }
 
@@ -376,10 +376,10 @@ static gint gui_dialog_delete_handler(GtkWidget *widget,
 {
   struct gui_dialog *dlg = data;
 
-  /* emit response signal. */
+  /* Emit response signal. */
   gui_dialog_response(dlg, GTK_RESPONSE_DELETE_EVENT);
-                                                                               
-  /* do the destroy by default. */
+
+  /* Do the destroy by default. */
   return FALSE;
 }
 
@@ -392,18 +392,18 @@ static gint gui_dialog_delete_tab_handler(struct gui_dialog* dlg)
 {
   GtkWidget* notebook;
   int n;
-  
+
   notebook = dlg->v.tab.notebook;
   n = gtk_notebook_get_current_page(GTK_NOTEBOOK(notebook));
   if (gtk_notebook_get_nth_page(GTK_NOTEBOOK(notebook), n)
       != dlg->v.tab.child) {
     gui_dialog_set_return_dialog(dlg, NULL);
-  }			                                  
-  
-  /* emit response signal. */
+  }
+
+  /* Emit response signal. */
   gui_dialog_response(dlg, GTK_RESPONSE_DELETE_EVENT);
-                                                                               
-  /* do the destroy by default. */
+
+  /* Do the destroy by default. */
   return FALSE;
 }
 
@@ -458,8 +458,8 @@ static void gui_dialog_detach(struct gui_dialog* dlg)
     return;
   }
   dlg->type = GUI_DIALOG_WINDOW;
-  
-  /* Create a new reference to the main widget, so it won't be 
+
+  /* Create a new reference to the main widget, so it won't be
    * destroyed in gtk_notebook_remove_page() */
   g_object_ref(dlg->vbox);
 
@@ -484,7 +484,7 @@ static void gui_dialog_detach(struct gui_dialog* dlg)
 	
   gtk_window_set_default_size(GTK_WINDOW(dlg->v.window),
                               dlg->default_width,
-			      dlg->default_height);    
+                              dlg->default_height);
   gtk_widget_show_all(window);
 }
 
@@ -528,7 +528,7 @@ void gui_dialog_new(struct gui_dialog **pdlg, GtkNotebook *notebook,
   *pdlg = dlg;
   dlg->user_data = user_data;
   dlg->title = NULL;
-  
+
   dlg->default_width = 200;
   dlg->default_height = 300;
 
@@ -648,7 +648,7 @@ void gui_dialog_new(struct gui_dialog **pdlg, GtkNotebook *notebook,
   dlg->action_area = action_area;
 
   dlg->response_callback = gui_dialog_destroyed;
-  
+
   dlg->id = dialog_id_counter;
   dialog_id_counter++;
   dlg->return_dialog_id = -1;
diff --git a/client/gui-gtk-3.22/helpdlg.c b/client/gui-gtk-3.22/helpdlg.c
index 25610f7455..fa58a6c381 100644
--- a/client/gui-gtk-3.22/helpdlg.c
+++ b/client/gui-gtk-3.22/helpdlg.c
@@ -483,7 +483,7 @@ static void activated_topic(GtkTreeView *view, gpointer data)
   if (!path) {
     return;
   }
-  
+
   gtk_tree_model_get(model, &it, 1, &pitem, -1);
 
   if (help_history_pos >= 0
@@ -1602,7 +1602,7 @@ static void help_update_dialog(const struct help_item *pitem)
     break;
   case HELP_TEXT:
   default:
-    /* it was a pure text item */ 
+    /* It was a pure text item */
     gtk_text_buffer_set_text(help_text, pitem->text, -1);
     gtk_widget_show(help_text_sw);
     break;
diff --git a/client/gui-gtk-3.22/inputdlg.c b/client/gui-gtk-3.22/inputdlg.c
index 16d3133b7a..2ef95aaa4d 100644
--- a/client/gui-gtk-3.22/inputdlg.c
+++ b/client/gui-gtk-3.22/inputdlg.c
@@ -17,7 +17,7 @@
 
 #include <stdio.h>
 
-#include <gtk/gtk.h>  
+#include <gtk/gtk.h>
 
 /* utility */
 #include "fcintl.h"
@@ -63,7 +63,7 @@ static void input_dialog_close(GtkDialog *shell, gpointer data)
 /**********************************************************************//**
   Create a popup with a text entry box and "OK" and "Cancel" buttons.
 **************************************************************************/
-GtkWidget *input_dialog_create(GtkWindow *parent, const char *dialogname, 
+GtkWidget *input_dialog_create(GtkWindow *parent, const char *dialogname,
                                const char *text, const char *postinputtest,
                                input_dialog_callback_t response_callback,
                                gpointer response_cli_data)
diff --git a/client/gui-gtk-3.22/inputdlg.h b/client/gui-gtk-3.22/inputdlg.h
index 77e7622cd1..99ec7088d2 100644
--- a/client/gui-gtk-3.22/inputdlg.h
+++ b/client/gui-gtk-3.22/inputdlg.h
@@ -18,7 +18,7 @@
 typedef void (*input_dialog_callback_t)(gpointer response_cli_data,
                                         gint response, const char *input);
 
-GtkWidget *input_dialog_create(GtkWindow *parent, const char *dialogname, 
+GtkWidget *input_dialog_create(GtkWindow *parent, const char *dialogname,
                                const char *text, const char *postinputtest,
                                input_dialog_callback_t response_callback,
                                gpointer response_cli_data);
diff --git a/client/gui-gtk-3.22/inteldlg.c b/client/gui-gtk-3.22/inteldlg.c
index 26d9fbe3a0..7bc162450e 100644
--- a/client/gui-gtk-3.22/inteldlg.c
+++ b/client/gui-gtk-3.22/inteldlg.c
@@ -272,8 +272,8 @@ static struct intel_dialog *create_intel_dialog(struct player *p)
   notebook = gtk_notebook_new();
   gtk_notebook_set_tab_pos(GTK_NOTEBOOK(notebook), GTK_POS_BOTTOM);
   gtk_container_add(GTK_CONTAINER(gtk_dialog_get_content_area(GTK_DIALOG(shell))), notebook);
- 
-  /* overview tab. */
+
+  /* Overview tab. */
   table = gtk_grid_new();
   g_object_set(table, "margin", 6, NULL);
 
diff --git a/client/gui-gtk-3.22/mapctrl.c b/client/gui-gtk-3.22/mapctrl.c
index 9fa06c54da..ce5e82bbc2 100644
--- a/client/gui-gtk-3.22/mapctrl.c
+++ b/client/gui-gtk-3.22/mapctrl.c
@@ -78,9 +78,9 @@ static gboolean popit_button_release(GtkWidget *w, GdkEventButton *ev)
   Put the popup on a smart position, after the real size of the widget is
   known: left of the cursor if within the right half of the map, and vice
   versa; displace the popup so as not to obscure it by the mouse cursor;
-  stay always within the map if possible. 
+  stay always within the map if possible.
 **************************************************************************/
-static void popupinfo_positioning_callback(GtkWidget *w, GtkAllocation *alloc, 
+static void popupinfo_positioning_callback(GtkWidget *w, GtkAllocation *alloc,
                                            gpointer data)
 {
   struct tmousepos *mousepos = data;
@@ -319,7 +319,7 @@ gboolean butt_down_mapcanvas(GtkWidget *w, GdkEventButton *ev, gpointer data)
                && clipboard_copy_production(ptile)) {
       /* <SHIFT> + RMB on city/unit: Copy Production. */
       /* If nothing to copy, fall through to rectangle selection. */
-      
+
       /* Already done the copy */
     } else if (ev->state & GDK_CONTROL_MASK) {
       /* <CONTROL> + RMB : Quickselect a land unit. */
diff --git a/client/gui-gtk-3.22/mapview.c b/client/gui-gtk-3.22/mapview.c
index 45219c0ac0..e33bcf17e8 100644
--- a/client/gui-gtk-3.22/mapview.c
+++ b/client/gui-gtk-3.22/mapview.c
@@ -242,7 +242,7 @@ static gboolean anim_cursor_cb(gpointer data)
   if (cursor_type == CURSOR_DEFAULT) {
     gdk_window_set_cursor(root_window, NULL);
     cursor_timer_id = 0;
-    return FALSE; 
+    return FALSE;
   }
 
   gdk_window_set_cursor(root_window,
@@ -516,7 +516,7 @@ void put_unit_image(struct unit *punit, GtkImage *p, int height)
   FIXME:
   For now only two food, two gold one shield and two masks can be drawn per
   unit, the proper way to do this is probably something like what Civ II does.
-  (One food/shield/mask drawn N times, possibly one top of itself. -- SKi 
+  (One food/shield/mask drawn N times, possibly one top of itself. -- SKi
 **************************************************************************/
 void put_unit_image_city_overlays(struct unit *punit, GtkImage *p,
                                   int height,
diff --git a/client/gui-gtk-3.22/menu.c b/client/gui-gtk-3.22/menu.c
index c9e6f0f4b2..2c247664dd 100644
--- a/client/gui-gtk-3.22/menu.c
+++ b/client/gui-gtk-3.22/menu.c
@@ -735,7 +735,7 @@ static void leave_callback(GtkMenuItem *item, gpointer data)
                                _("Leaving a local game will end it!"));
     setup_dialog(dialog, toplevel);
     gtk_window_set_position(GTK_WINDOW(dialog), GTK_WIN_POS_MOUSE);
-    g_signal_connect(dialog, "response", 
+    g_signal_connect(dialog, "response",
                      G_CALLBACK(leave_local_game_response), NULL);
     gtk_window_present(GTK_WINDOW(dialog));
   } else {
@@ -2616,7 +2616,7 @@ void real_menus_update(void)
                            units_can_load(punits));
   menu_entry_set_sensitive("UNIT_DEBOARD",
                            units_can_unload(&(wld.map), punits));
-  menu_entry_set_sensitive("UNIT_UNSENTRY", 
+  menu_entry_set_sensitive("UNIT_UNSENTRY",
                            units_have_activity_on_tile(punits,
                                                        ACTIVITY_SENTRY));
   menu_entry_set_sensitive("AUTO_WORKER",
@@ -2662,7 +2662,7 @@ void real_menus_update(void)
 
   extras = extra_type_list_by_cause(EC_IRRIGATION);
 
-  if (extra_type_list_size(extras) > 0) { 
+  if (extra_type_list_size(extras) > 0) {
     struct extra_type *tgt;
 
     tgt = extra_type_list_get(extras, 0);
@@ -2689,7 +2689,7 @@ void real_menus_update(void)
         break;
       }
     } unit_list_iterate_end;
-    
+
     if (city_on_tile && units_can_do_action(punits, ACTION_JOIN_CITY,
                                             TRUE)) {
       menus_rename("BUILD_CITY",
diff --git a/client/gui-gtk-3.22/pages.c b/client/gui-gtk-3.22/pages.c
index 504ef5ab62..299f967156 100644
--- a/client/gui-gtk-3.22/pages.c
+++ b/client/gui-gtk-3.22/pages.c
@@ -65,7 +65,7 @@ static GtkWidget *scenario_authors;
 static GtkWidget *scenario_filename;
 static GtkWidget *scenario_version;
 
-static GtkListStore *load_store, *scenario_store, *meta_store, *lan_store; 
+static GtkListStore *load_store, *scenario_store, *meta_store, *lan_store;
 
 static GtkListStore *server_playerlist_store;
 static GtkWidget *server_playerlist_view;
@@ -828,7 +828,7 @@ static void server_scan_error(struct server_scan *scan,
   output_window_append(ftc_client, message);
   log_error("%s", message);
 
-  /* Main thread will finalize the scan later (or even concurrently) - 
+  /* Main thread will finalize the scan later (or even concurrently) -
    * do not do anything here to cause double free or raze condition. */
 }
 
@@ -850,8 +850,8 @@ static void update_network_lists(void)
   Network connection state defines.
 **************************************************************************/
 enum connection_state {
-  LOGIN_TYPE, 
-  NEW_PASSWORD_TYPE, 
+  LOGIN_TYPE,
+  NEW_PASSWORD_TYPE,
   ENTER_PASSWORD_TYPE,
   WAITING_TYPE
 };
@@ -1050,7 +1050,7 @@ static void connect_callback(GtkWidget *w, gpointer data)
     sz_strlcpy(user_name, gtk_entry_get_text(GTK_ENTRY(network_login)));
     sz_strlcpy(server_host, gtk_entry_get_text(GTK_ENTRY(network_host)));
     server_port = atoi(gtk_entry_get_text(GTK_ENTRY(network_port)));
-  
+
     if (connect_to_server(user_name, server_host, server_port,
                           errbuf, sizeof(errbuf)) != -1) {
     } else {
@@ -1058,7 +1058,7 @@ static void connect_callback(GtkWidget *w, gpointer data)
 
       output_window_append(ftc_client, errbuf);
     }
-    return; 
+    return;
   case NEW_PASSWORD_TYPE:
     if (w != network_password) {
       sz_strlcpy(fc_password,
@@ -1070,7 +1070,7 @@ static void connect_callback(GtkWidget *w, gpointer data)
         send_packet_authentication_reply(&client.conn, &reply);
 
         set_connection_state(WAITING_TYPE);
-      } else { 
+      } else {
         append_network_statusbar(_("Passwords don't match, enter password."),
                                  TRUE);
 
@@ -2661,7 +2661,7 @@ GtkWidget *create_start_page(void)
   spin = gtk_spin_button_new_with_range(1, MAX_NUM_PLAYERS, 1);
   start_aifill_spin = spin;
   gtk_spin_button_set_digits(GTK_SPIN_BUTTON(spin), 0);
-  gtk_spin_button_set_update_policy(GTK_SPIN_BUTTON(spin), 
+  gtk_spin_button_set_update_policy(GTK_SPIN_BUTTON(spin),
                                     GTK_UPDATE_IF_VALID);
   if (server_optset != NULL) {
     struct option *paifill = optset_option_by_name(server_optset, "aifill");
@@ -2806,7 +2806,7 @@ GtkWidget *create_start_page(void)
     pregame_votebar = voteinfo_bar_new(TRUE);
   }
   gtk_container_add(GTK_CONTAINER(box), pregame_votebar);
-  
+
 
   toolkit_view = inputline_toolkit_view_new();
   gtk_container_add(GTK_CONTAINER(box), toolkit_view);
@@ -2930,7 +2930,7 @@ GtkWidget *create_load_page(void)
 
   g_signal_connect(view, "row-activated",
                    G_CALLBACK(load_callback), NULL);
-  
+
   sbox = gtk_grid_new();
   gtk_widget_set_halign(sbox, GTK_ALIGN_CENTER);
   gtk_orientable_set_orientation(GTK_ORIENTABLE(sbox),
diff --git a/client/gui-gtk-3.22/plrdlg.c b/client/gui-gtk-3.22/plrdlg.c
index 136fab55ac..be823ff8ab 100644
--- a/client/gui-gtk-3.22/plrdlg.c
+++ b/client/gui-gtk-3.22/plrdlg.c
@@ -252,11 +252,11 @@ static gint plrdlg_sort_func(GtkTreeModel *model,
   gtk_tree_model_get_value(model, a, PLR_DLG_COL_ID, &value);
   player1 = player_by_number(g_value_get_int(&value));
   g_value_unset(&value);
-  
+
   gtk_tree_model_get_value(model, b, PLR_DLG_COL_ID, &value);
   player2 = player_by_number(g_value_get_int(&value));
   g_value_unset(&value);
-  
+
   return player_dlg_columns[n].sort_func(player1, player2);
 }
 
@@ -323,8 +323,8 @@ static void toggle_view(GtkCheckMenuItem* item, gpointer data)
 **************************************************************************/
 static void toggle_dead_players(GtkCheckMenuItem* item, gpointer data)
 {
-  gui_options.player_dlg_show_dead_players = 
-    gtk_check_menu_item_get_active(GTK_CHECK_MENU_ITEM(item));
+  gui_options.player_dlg_show_dead_players
+    = gtk_check_menu_item_get_active(GTK_CHECK_MENU_ITEM(item));
   real_players_dialog_update(NULL);
 }
 
diff --git a/client/gui-gtk-3.22/repodlgs.c b/client/gui-gtk-3.22/repodlgs.c
index 8d200b68a0..c73272e28f 100644
--- a/client/gui-gtk-3.22/repodlgs.c
+++ b/client/gui-gtk-3.22/repodlgs.c
@@ -1355,7 +1355,7 @@ static GtkListStore *units_report_store_new(void)
   for (i = 0; i < URD_COL_NUM; i++) {
     cols[i] = unit_report_columns[i].type;
   }
-  
+
   return gtk_list_store_newv(URD_COL_NUM, cols);
 }
 
@@ -1439,7 +1439,7 @@ static void units_report_update(struct units_report *preport)
 
     upgradable = client_has_player()
                  && NULL != can_upgrade_unittype(client_player(), utype);
-    
+
     gtk_list_store_append(store, &iter);
     gtk_list_store_set(store, &iter,
                        URD_COL_UTYPE_NAME, utype_name_translation(utype),
diff --git a/client/gui-gtk-3.22/sprite.c b/client/gui-gtk-3.22/sprite.c
index 3dd007b1f7..9fe2530e39 100644
--- a/client/gui-gtk-3.22/sprite.c
+++ b/client/gui-gtk-3.22/sprite.c
@@ -65,7 +65,7 @@ struct sprite *crop_sprite(struct sprite *source,
   cr = cairo_create(new->surface);
   cairo_rectangle(cr, 0, 0, width, height);
   cairo_clip(cr);
-  
+
   cairo_set_source_surface(cr, source->surface, -x, -y);
   cairo_paint(cr);
   if (mask) {
@@ -296,7 +296,7 @@ struct sprite *sprite_scale(struct sprite *src, int new_w, int new_h)
 
   get_sprite_dimensions(src, &width, &height);
 
-  new->surface = cairo_surface_create_similar(src->surface, 
+  new->surface = cairo_surface_create_similar(src->surface,
       CAIRO_CONTENT_COLOR_ALPHA, new_w, new_h);
 
   cr = cairo_create(new->surface);
diff --git a/client/gui-gtk-3.22/theme_dlg.c b/client/gui-gtk-3.22/theme_dlg.c
index 2f2e8c5f51..d98859ec45 100644
--- a/client/gui-gtk-3.22/theme_dlg.c
+++ b/client/gui-gtk-3.22/theme_dlg.c
@@ -83,6 +83,6 @@ bool popup_theme_suggestion_dialog(const char *theme_name)
   gtk_dialog_run(GTK_DIALOG(dialog));
 
   gtk_widget_destroy(dialog);
-  
+
   return load_theme;
 }
diff --git a/client/gui-gtk-3.22/themes.c b/client/gui-gtk-3.22/themes.c
index 3dc5cbe2d7..8ad34cc583 100644
--- a/client/gui-gtk-3.22/themes.c
+++ b/client/gui-gtk-3.22/themes.c
@@ -174,14 +174,14 @@ char **get_usable_themes_in_directory(const char *directory, int *count)
       /* File doesn't exist */
       continue;
     }
-    
+
     if (!S_ISREG(stat_result.st_mode)) {
       /* Not a regular file */
       continue;
     }
-    
+
     /* Otherwise it's ok */
-    
+
     /* Increase array size if needed */
     if (*count == t_size) {
       theme_names = fc_realloc(theme_names, t_size * 2 * sizeof(char *));
diff --git a/client/gui-gtk-3.22/unitselect.c b/client/gui-gtk-3.22/unitselect.c
index d64416f3ad..e65ea7502e 100644
--- a/client/gui-gtk-3.22/unitselect.c
+++ b/client/gui-gtk-3.22/unitselect.c
@@ -152,7 +152,7 @@ static void usdlg_tab_select(struct unit_select_dialog *pdialog,
                              const char *title,
                              enum unit_select_location_mode loc);
 static GtkTreeStore *usdlg_tab_store_new(void);
-static bool usdlg_tab_update(struct unit_select_dialog *pdialog, 
+static bool usdlg_tab_update(struct unit_select_dialog *pdialog,
                              struct usdata_hash *ushash,
                              enum unit_select_location_mode loc);
 static void usdlg_tab_append_utype(GtkTreeStore *store,
@@ -1001,7 +1001,7 @@ static void usdlg_cmd_exec(GObject *object, gpointer mode_data,
       ushash = usdlg_data_new(pdialog->ptile);
 
       usdata_hash_lookup(ushash, utid, &data);
-      if (data != NULL 
+      if (data != NULL
           && unit_list_size(data->units[loc][act]) != 0) {
         unit_list_iterate(data->units[loc][act], punit) {
           usdlg_cmd_exec_unit(punit, cmd);
diff --git a/client/gui-gtk-3.22/voteinfo_bar.c b/client/gui-gtk-3.22/voteinfo_bar.c
index eadbd2e9c7..9ba8fd5221 100644
--- a/client/gui-gtk-3.22/voteinfo_bar.c
+++ b/client/gui-gtk-3.22/voteinfo_bar.c
@@ -56,7 +56,7 @@ static void voteinfo_bar_do_vote_callback(GtkWidget *w, gpointer userdata)
 {
   enum client_vote_type vote;
   struct voteinfo *vi;
-  
+
   vote = GPOINTER_TO_INT(userdata);
   vi = voteinfo_queue_get_current(NULL);
 
diff --git a/client/gui-gtk-3.22/wldlg.c b/client/gui-gtk-3.22/wldlg.c
index 3ff9f4cc79..9344ab4bb5 100644
--- a/client/gui-gtk-3.22/wldlg.c
+++ b/client/gui-gtk-3.22/wldlg.c
@@ -124,7 +124,7 @@ void update_worklist_report_dialog(void)
     gtk_list_store_set(worklists_store, &it,
                        0, global_worklist_name(pgwl),
                        1, global_worklist_id(pgwl),
-                       -1); 
+                       -1);
   } global_worklists_iterate_end;
 }
 
@@ -252,7 +252,7 @@ static GtkWidget *create_worklists_report(void)
   gtk_tree_view_set_headers_visible(GTK_TREE_VIEW(list), FALSE);
 
   worklists_list = list;
-  
+
   rend = gtk_cell_renderer_text_new();
   g_object_set(rend, "editable", TRUE, NULL);
   g_signal_connect(rend, "edited",
@@ -420,7 +420,7 @@ static void popup_worklist(struct global_worklist *pgwl)
 static void popdown_worklist(struct global_worklist *pgwl)
 {
   GtkWidget *shell;
-  
+
   if ((shell = get_worklist(global_worklist_id(pgwl)))) {
     GtkWidget *parent;
 
@@ -742,7 +742,7 @@ static void src_row_callback(GtkTreeView *view, GtkTreePath *path,
   if (!gtk_widget_is_sensitive(ptr->dst_view)) {
     return;
   }
-  
+
   src_model = GTK_TREE_MODEL(ptr->src);
   dst_model = GTK_TREE_MODEL(ptr->dst);
 
@@ -786,13 +786,13 @@ static gboolean src_key_press_callback(GtkWidget *w, GdkEventKey *ev,
                                        gpointer data)
 {
   struct worklist_data *ptr;
-    
+
   ptr = data;
 
   if (!gtk_widget_is_sensitive(ptr->dst_view)) {
     return FALSE;
   }
-  
+
   if ((ev->state & GDK_SHIFT_MASK) && ev->keyval == GDK_KEY_Insert) {
     queue_prepend(ptr);
     return TRUE;
@@ -898,7 +898,7 @@ static void dst_selection_callback(GtkTreeSelection *selection, gpointer data)
   if (gtk_tree_selection_count_selected_rows(selection) > 0) {
     int num_rows = 0;
     GtkTreeIter it;
-    
+
     gtk_widget_set_sensitive(ptr->up_cmd, TRUE);
     gtk_widget_set_sensitive(ptr->down_cmd, TRUE);
     if (gtk_tree_model_get_iter_first(GTK_TREE_MODEL(ptr->dst), &it)) {
@@ -907,7 +907,7 @@ static void dst_selection_callback(GtkTreeSelection *selection, gpointer data)
       } while (gtk_tree_model_iter_next(GTK_TREE_MODEL(ptr->dst), &it));
     }
     if (num_rows > 1) {
-      gtk_widget_set_sensitive(ptr->remove_cmd, TRUE);      
+      gtk_widget_set_sensitive(ptr->remove_cmd, TRUE);
     } else {
       gtk_widget_set_sensitive(ptr->remove_cmd, FALSE);
     }
@@ -1031,7 +1031,7 @@ static void populate_view(GtkTreeView *view, struct city **ppcity,
     g_object_set_data(G_OBJECT(rend), "column", GINT_TO_POINTER(pos));
 
     gtk_tree_view_insert_column_with_data_func(view,
-	i, titles[i], rend, cell_render_func, ppcity, NULL); 
+	i, titles[i], rend, cell_render_func, ppcity, NULL);
     col = gtk_tree_view_get_column(view, i);
 
     if (pos >= 2) {
@@ -1072,7 +1072,7 @@ GtkWidget *create_worklist(void)
   ptr->dst = dst_store;
   ptr->future = FALSE;
 
-  /* create shell. */ 
+  /* Create shell. */
   editor = gtk_grid_new();
   gtk_grid_set_row_spacing(GTK_GRID(editor), 6);
   gtk_orientable_set_orientation(GTK_ORIENTABLE(editor),
-- 
2.47.2

